import type { _DOMCSSStyleDeclaration } from "./DOMCSSStyleDeclaration.js";
import type { _DOMElement } from "./DOMElement.js";
import type { _DOMNode } from "./DOMNode.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _DOMAttr extends _DOMNode {
    static alloc(): _DOMAttr;
    static new(): _DOMAttr;
    init(): _DOMAttr;
    name(): _NSString;
    specified(): boolean;
    value(): _NSString;
    setValue$(value: _NSString): void;
    ownerElement(): _DOMElement;
    style(): _DOMCSSStyleDeclaration;
}
